#ifndef PM_SUBTRACTION_VISUAL_H
#define PM_SUBTRACTION_VISUAL_H

bool pmSubtractionVisualClose(void);
bool pmSubtractionVisualPlotConvKernels(psImage *convKernels);
bool pmSubtractionVisualPlotStamps(pmSubtractionStampList *stamps, pmReadout *ro);
bool pmSubtractionVisualPlotLeastSquares(pmSubtractionStampList *stamps);
bool pmSubtractionVisualShowSubtraction(psImage *image, psImage *ref, psImage *sub);
bool pmSubtractionVisualShowFitInit(pmSubtractionStampList *stamps);
bool pmSubtractionVisualShowFitAddStamp(psKernel *target, psKernel *source, psKernel *convolution, double background, double norm, int index);
bool pmSubtractionVisualShowFit(double norm);
bool pmSubtractionVisualPlotFit(const pmSubtractionKernels *kernels);
bool pmSubtractionVisualShowKernels(pmSubtractionKernels *kernels);
bool pmSubtractionVisualShowBasis(pmSubtractionStampList *stamps);

#endif
